@extends('backEnd.layouts.master')
@section('title','Commision Report')
@section('content')
@section('css')
<link href="{{asset('public/backEnd')}}/assets/libs/select2/css/select2.min.css" rel="stylesheet" type="text/css" />
<link href="{{asset('public/backEnd/')}}/assets/libs/flatpickr/flatpickr.min.css" rel="stylesheet" type="text/css" />
<style>
    .info-box {
        padding: 25px;
        color: #fff;
        border-radius: 5px;
    }
    span.info-box-text {
        font-size: 16px;
    }
    .progress-description {
        font-size: 16px;
    }
    .info-box .progress {
        height: 3px;
        margin: 6px 0;
    }
    span.info-box-icon {
        font-size: 22px;
    }
    .info-box-content span {
        font-size: 16px;
        font-weight: 600;
    }
    p{
        margin:0;
    }
   @page {
        margin: 50px 0px 0px 0px;
    }
   @media print {
    td{
        font-size: 18px;
    }
    p{
        margin:0;
    }
    title {
        font-size: 25px;
    }
    header,footer,.no-print,.left-side-menu,.navbar-custom {
      display: none !important;
    }

  }
</style>
@endsection
<div class="container-fluid">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">Commision Report</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
   <div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-body">
                <form class="no-print">
                    <div class="row no-print">
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label for="start_date" class="form-label">Telegram Number</label>
                                <input type="text" class="form-control" value="{{request()->get('keyword')}}" name="keyword" placeholder="Telegram Number">
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                               <label for="start_date" class="form-label">Start Date</label>
                                <input type="date" value="{{request()->get('start_date')}}"  class="form-control flatdate" name="start_date">
                            </div>
                        </div>
                        <!--col-sm-3-->
                        <div class="col-sm-3">
                            <div class="form-group">
                               <label for="end_date" class="form-label">End Date</label>
                                <input type="date" value="{{request()->get('end_date')}}" class="form-control flatdate" name="end_date">
                            </div>
                        </div>
                        <!--col-sm-3-->
                        <div class="col-sm-3">
                            <label class="form-label" style="opacity:0">Submit</label>
                            <div class="form-group mb-3">
                                <button class="btn btn-primary">Submit</button>
                            </div>
                        </div>
                        <!-- col end -->
                    </div>
                </form>
                <div class="row mb-3">
                    <div class="col-sm-6 no-print">
                         {{$data->links('pagination::bootstrap-4')}}
                    </div>
                    <div class="col-sm-6">
                        <div class="export-print text-end">
                            <!--<button onclick="printFunction()"class="no-print btn btn-success"><i class="fa fa-print"></i> Print</button>-->
                            <button id="export-excel-button" class="no-print btn btn-info"><i class="fas fa-file-export"></i> Export</button>
                        </div>
                    </div>
                </div>
                <div id="content-to-export" class="table-responsive">
                  <div class="card-body">
                      <div class="table-responsive ">
                            <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                            <thead>
                                <tr>
                                    <th>SL</th>
                                    <th>Name</th>
                                    <th>Telegram</th>
                                    <th>District</th>
                                    <th>Gender</th>
                                    <th>Age</th>
                                    <th>Shopping</th>
                                    <th>Commisions</th>
                                    <th>Bkash NO</th>
                                    <th>DOJ</th>
                                    <th>DOH</th>
                                </tr>
                            </thead>


                            <tbody>
                                @foreach($data as $key=>$value)
                                @php
                                    $createdAt = $value->created_at;
                                    $daysDifference = $createdAt->diffInDays(\Carbon\Carbon::now(), false);
                                    
                                    $district = App\Models\District::where(['id'=>$value->district])->first();
                                @endphp
                                <tr>
                                    <td>{{$loop->iteration}}</td>
                                    <td>{{$value->name}}</td>
                                    <td>="{{$value->phone}}"</td>
                                    <td>{{$district?$district->district_name:''}}</td>
                                    <td>{{$value->gender}}</td>
                                    <td>{{$value->age}}</td>
                                    <td>{{$value->orders->sum('amount') ?? 0}}</td>
                                    <td>{{$value->profits->sum('profit')??0}}</td>
                                    <td>="{{ $value->bkash_no }}"</td>
                                    <td>{{$value->created_at->format('d-m-Y')}}</td>
                                    <td>{{$daysDifference}}</td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                  </div>
                </div>
            </div> <!-- end card body-->
        </div> <!-- end card -->
    </div><!-- end col-->
   </div>
</div>
@endsection
@section('script')
<script src="{{asset('public/backEnd/')}}/assets/libs/select2/js/select2.min.js"></script>
<script src="{{asset('public/backEnd/')}}/assets/js/pages/form-advanced.init.js"></script>
<script src="{{asset('public/backEnd/')}}/assets/libs/flatpickr/flatpickr.min.js"></script>
<script src="https://cdn.rawgit.com/rainabba/jquery-table2excel/1.1.0/dist/jquery.table2excel.min.js"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('.select2').select2();
        flatpickr(".flatdate", {});
    });
</script>
<script>
    function printFunction() {
        window.print();
    }
</script>

<script>
    $(document).ready(function() {
        $('#export-excel-button').on('click', function() {
            var contentToExport = $('#content-to-export').html();
            var tempElement = $('<div>');
            tempElement.html(contentToExport);
            tempElement.find('.table').table2excel({
                exclude: ".no-export",
                name: "Order Report"
            });
        });
    });
</script>

@endsection
