@extends('backEnd.layouts.master')
@section('title','Thana Create')
@section('css')
<link href="{{asset('public/backEnd')}}/assets/libs/select2/css/select2.min.css" rel="stylesheet" type="text/css" />
@endsection
@section('content')
<div class="container-fluid">
    
    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">Thana Create</h4>
            </div>
        </div>
    </div>       
    <!-- end page title --> 
   <div class="row justify-content-center">
    <div class="col-lg-8">
        <div class="card">
            <div class="card-body">
                <form action="{{route('thanas.store')}}" method="POST" class=row data-parsley-validate=""  enctype="multipart/form-data">
                    @csrf
                   
                    <div class="col-sm-12">
                        <div class="form-group mb-3">
                            <label for="district_id" class="form-label">District </label>
                            
                            <select class="form-control @error('district_id') is-invalid @enderror" name="district_id">
                                <option value="">Select..</option>
                                @foreach($districts as $key=>$district)
                                <option value="{{$district->id}}">{{$district->district_name}}</option>
                                @endforeach
                            </select>
                           
                            @error('district_id')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <!-- col-end -->
                    <div class="col-sm-12">
                        <div class="form-group mb-3">
                            <label for="thana_name" class="form-label">Thana</label>
                            <input type="text" class="form-control @error('thana_name') is-invalid @enderror" name="thana_name" value="{{old('thana_name')}}" id="thana_name" required="">
                            @error('thana_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <!-- col-end -->
                    <div class="col-sm-12">
                        <div class="form-group mb-3">
                            <label for="shippingfee" class="form-label">Shipping Fee</label>
                            <input type="text" class="form-control @error('shippingfee') is-invalid @enderror" name="shippingfee" value="{{old('shippingfee')}}" id="shippingfee" required="">
                            @error('shippingfee')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <!-- col-end -->
                    <div>
                        <input type="submit" class="btn btn-success" value="Submit">
                    </div>

                </form>

            </div> <!-- end card-body-->
        </div> <!-- end card-->
    </div> <!-- end col-->
   </div>
</div>
@endsection


@section('script')
<script src="{{asset('public/backEnd/')}}/assets/libs/parsleyjs/parsley.min.js"></script>
<script src="{{asset('public/backEnd/')}}/assets/js/pages/form-validation.init.js"></script>
<script src="{{asset('public/backEnd/')}}/assets/libs/select2/js/select2.min.js"></script>
<script src="{{asset('public/backEnd/')}}/assets/js/pages/form-advanced.init.js"></script>
@endsection