<?php $__env->startSection('title', 'Customer Profile'); ?>
<?php $__env->startSection('css'); ?>
    <link href="<?php echo e(asset('public/backEnd')); ?>/assets/libs/select2/css/select2.min.css" rel="stylesheet" type="text/css" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <a href="<?php echo e(route('customers.index')); ?>" class="btn btn-primary rounded-pill">Customer List</a>
                        <form method="post" action="<?php echo e(route('customers.adminlog')); ?>" class="d-inline" target="_blank">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" value="<?php echo e($profile->id); ?>" name="hidden_id">
                            <button type="button" class="btn btn-info rounded-pill change-confirm"
                                title="Login as customer"><i class="fe-log-in"></i> Login</button>
                        </form>
                    </div>
                    <h4 class="page-title">Customer Profile</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-lg-4 col-xl-4">
                <div class="card text-center">
                    <div class="card-body">
                        <img src="<?php echo e(asset($profile->image)); ?>" class="rounded-circle avatar-lg img-thumbnail"
                            alt="profile-image">

                        <h4 class="mb-0"><?php echo e($profile->name); ?></h4>
                        <p class="text-muted">Sponsor - <?php echo e($profile->refferal_id); ?></p>

                        <a href="tel:<?php echo e($profile->phone); ?>"
                            class="btn btn-success btn-xs waves-effect mb-2 waves-light">Call</a>
                        <a href="mailto:<?php echo e($profile->email); ?>"
                            class="btn btn-danger btn-xs waves-effect mb-2 waves-light">Email</a>

                        <div class="text-start mt-3">
                            <h4 class="font-13 text-uppercase">About Me :</h4>
                            <table class="table">
                                <tbody>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>Full Name </td>
                                        <td class="ms-2"><?php echo e($profile->name); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>Telegram </td>
                                        <td class="ms-2"><?php echo e($profile->phone); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>Bkash </td>
                                        <td class="ms-2"><?php echo e($profile->bkash_no); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>Village</td>
                                        <td class="ms-2"><?php echo e($profile->village_name); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>House </td>
                                        <td class="ms-2"><?php echo e($profile->house); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>Road </td>
                                        <td class="ms-2"><?php echo e($profile->road); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>Word</td>
                                        <td class="ms-2"><?php echo e($profile->word_no); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>Gender</td>
                                        <td class="ms-2"><?php echo e($profile->gender); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-2 font-13">
                                        <td>NID</td>
                                        <td class="ms-2"><?php echo e($profile->nid); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-1 font-13">
                                        <td>District </td>
                                        <td class="ms-2"><?php echo e($profile->district); ?></td>
                                    </tr>
                                    <tr class="text-muted mb-1 font-13">
                                        <td>Upzlila </td>
                                        <td class="ms-2"><?php echo e($profile->area); ?></td>
                                    </tr>

                                    <tr class="text-muted mb-1 font-13">
                                        <td>Balance :</td>
                                        <td class="ms-2"><?php echo e($profile->balance); ?> Tk</td>
                                    </tr>
                                    <tr class="text-muted mb-1 font-13">
                                        <td>Savings :</td>
                                        <td class="ms-2"><?php echo e($profile->savings); ?> Tk</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end card -->

            </div> <!-- end col-->

            <div class="col-lg-8 col-xl-8">
                <div class="card">
                    <div class="card-body">
                        <ul class="nav nav-pills nav-fill navtab-bg">

                            <li class="nav-item">
                                <a href="#step1" data-bs-toggle="tab" aria-expanded="false" class="nav-link active">
                                    Step-1
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#step2" data-bs-toggle="tab" aria-expanded="false" class="nav-link">
                                    Step-2
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#step3" data-bs-toggle="tab" aria-expanded="false" class="nav-link">
                                    Step-3
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#step4" data-bs-toggle="tab" aria-expanded="false" class="nav-link">
                                    Step-4
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#profits" data-bs-toggle="tab" aria-expanded="false" class="nav-link">
                                    Profits
                                </a>
                            </li>
                            <li class="nav-item">
                                <a href="#withdraw" data-bs-toggle="tab" aria-expanded="false" class="nav-link">
                                    Withdraw
                                </a>
                            </li>

                            <li class="nav-item mt-2">
                                <a href="#order" data-bs-toggle="tab" aria-expanded="false" class="nav-link">
                                    Order
                                </a>
                            </li>
                        </ul>
                        <div class="tab-content">
                            <div class="tab-pane show active" id="step1">
                                <h4>Step-1 (<?php echo e($step1->count()); ?>)</h4>
                                <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th>Name</th>
                                            <th>Phone</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $step1; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e($value->name); ?></td>
                                                <td><?php echo e($value->phone); ?></td>
                                                <td>
                                                    <?php if($value->status == 'pending'): ?>
                                                        <span
                                                            class="badge bg-soft-danger text-danger"><?php echo e($value->status); ?></span>
                                                    <?php else: ?>
                                                        <span
                                                            class="badge bg-soft-success text-success"><?php echo e($value->status); ?></span>
                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- end step1 -->
                            <div class="tab-pane" id="step2">
                                <h4>Step-2 (<?php echo e($step2->count()); ?>)</h4>
                                <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th>Name</th>
                                            <th>Phone</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $step2; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e($value->name); ?></td>
                                                <td><?php echo e($value->phone); ?></td>
                                                <td>
                                                    <?php if($value->status == 'pending'): ?>
                                                        <span
                                                            class="badge bg-soft-danger text-danger"><?php echo e($value->status); ?></span>
                                                    <?php else: ?>
                                                        <span
                                                            class="badge bg-soft-success text-success"><?php echo e($value->status); ?></span>
                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- end step2 -->
                            <div class="tab-pane" id="step3">
                                <h4>Step-3 (<?php echo e($step3->count()); ?>)</h4>
                                <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th>Name</th>
                                            <th>Phone</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $step3; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e($value->name); ?></td>
                                                <td><?php echo e($value->phone); ?></td>
                                                <td>
                                                    <?php if($value->status == 'pending'): ?>
                                                        <span
                                                            class="badge bg-soft-danger text-danger"><?php echo e($value->status); ?></span>
                                                    <?php else: ?>
                                                        <span
                                                            class="badge bg-soft-success text-success"><?php echo e($value->status); ?></span>
                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- end step3 -->
                            <div class="tab-pane" id="step4">
                                <h4>Step-4 (<?php echo e($step4->count()); ?>)</h4>
                                <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th>Name</th>
                                            <th>Phone</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $step4; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e($value->name); ?></td>
                                                <td><?php echo e($value->phone); ?></td>
                                                <td>
                                                    <?php if($value->status == 'pending'): ?>
                                                        <span
                                                            class="badge bg-soft-danger text-danger"><?php echo e($value->status); ?></span>
                                                    <?php else: ?>
                                                        <span
                                                            class="badge bg-soft-success text-success"><?php echo e($value->status); ?></span>
                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- end step3 -->
                            <div class="tab-pane" id="profits">
                                <h4>Profits</h4>
                                <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th>Order</th>
                                            <th>Date</th>
                                            <th>ID Name</th>
                                            <th>Profit</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $profits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td> <?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e($value->order ? $value->order->invoice_id : ''); ?></td>
                                                <td><?php echo e($value->created_at->format('d-m-y h:m a')); ?></td>
                                                <td><?php echo e($value->order ? $value->order->customer->name : ''); ?></td>
                                                <td>৳<?php echo e($value->profit); ?> </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- end step5 -->
                            <div class="tab-pane" id="order">
                                <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th>Invoice</th>
                                            <th>Name</th>
                                            <th>Date</th>
                                            <th>Amount</th>
                                            <th>Status</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $profile->orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e($value->invoice_id); ?></td>
                                                <td><?php echo e($value->shipping ? $value->shipping->name : ''); ?></td>
                                                <td><?php echo e(date('d-m-Y', strtotime($value->created_at))); ?>

                                                    ,<?php echo e(date('h:i a', strtotime($value->created_at))); ?></td>
                                                <td>৳<?php echo e($value->amount); ?></td>
                                                <td>
                                                    <?php if($value->order_status == 'pending'): ?>
                                                        <span
                                                            class="badge bg-soft-danger text-danger"><?php echo e($value->order_status); ?></span>
                                                    <?php else: ?>
                                                        <span
                                                            class="badge bg-soft-success text-success"><?php echo e($value->order_status); ?></span>
                                                    <?php endif; ?>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- end  item-->
                            <div class="tab-pane" id="withdraw">
                                <h4>Withdraw</h4>
                                <div class="withdraw_form">
                                    <div class="col-lg-12">
                                        <div class="card">
                                            <div class="card-body">
                                                <form action="<?php echo e(route('withdraw')); ?>" method="POST" class=row
                                                    data-parsley-validate="">
                                                    <?php echo csrf_field(); ?>
                                                    <div class="col-sm-6">
                                                        <input type="hidden" name="customer_id"
                                                            value="<?php echo e($profile->id); ?>">
                                                        <div class="form-group mb-3">
                                                            <label for="type_id" class="form-label">Type</label>
                                                            <select
                                                                class="form-control select2 <?php $__errorArgs = ['type_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                                name="type_id" data-toggle="select2"
                                                                data-placeholder="Choose ..." style="width:100%;"
                                                                required>
                                                                <optgroup>
                                                                    <option value="">Select..</option>
                                                                    <option value="1">Main Balance
                                                                        (<?php echo e($profile->balance); ?>)</option>
                                                                </optgroup>
                                                            </select>
                                                            <?php $__errorArgs = ['type_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong><?php echo e($message); ?></strong>
                                                                </span>
                                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                        </div>
                                                    </div>
                                                    <!-- col end -->

                                                    <div class="col-sm-6">
                                                        <div class="form-group mb-3">
                                                            <label for="amount" class="form-label">Amount *</label>
                                                            <input type="text"
                                                                class="form-control <?php $__errorArgs = ['amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"
                                                                name="amount" value="<?php echo e(old('amount')); ?>"
                                                                id="amount" required="">
                                                            <?php $__errorArgs = ['amount'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong><?php echo e($message); ?></strong>
                                                                </span>
                                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                        </div>
                                                    </div>
                                                    <!-- col-end -->
                                                    <div class="col-sm-12">
                                                        <div class="form-group mb-3">
                                                            <label for="amount" class="form-label">Note</label>
                                                            <textarea name="note" id="note" class="form-control <?php $__errorArgs = ['note'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>"></textarea>

                                                            <?php $__errorArgs = ['note'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                                                <span class="invalid-feedback" role="alert">
                                                                    <strong><?php echo e($message); ?></strong>
                                                                </span>
                                                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                                        </div>
                                                    </div>
                                                    <!-- col-end -->

                                                    <div>
                                                        <input type="submit" class="btn btn-success" value="Submit">
                                                    </div>

                                                </form>

                                            </div> <!-- end card-body-->
                                        </div> <!-- end card-->
                                    </div>
                                </div>
                                <h4>Withdraw List</h4>
                                <table id="datatable-buttons" class="table table-striped dt-responsive nowrap w-100">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th>Date</th>
                                            <th>Amount</th>
                                            <th>Type</th>
                                            <th>Invoice</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $withdraws; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($loop->iteration); ?></td>
                                                <td><?php echo e(date('d-m-Y', strtotime($value->created_at))); ?>

                                                    ,<?php echo e(date('h:i a', strtotime($value->created_at))); ?></td>
                                                <td>৳<?php echo e($value->amount); ?></td>
                                                <td>
                                                    <?php if($value->type_id == '1'): ?>
                                                        <span class="badge bg-soft-info text-info">Main Balance</span>
                                                    <?php else: ?>
                                                        <span class="badge bg-soft-success text-success"> Savings</span>
                                                    <?php endif; ?>
                                                </td>
                                                <td><a href="<?php echo e(route('customer.withdraw.invoice', ['id' => $value->id])); ?>"
                                                        class="btn btn-xs  btn-success waves-effect waves-light"><i
                                                            class="fe-eye"></i></a></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                            <!-- end  item-->
                        </div> <!-- end tab-content -->
                    </div>
                </div> <!-- end card-->

            </div> <!-- end col -->
        </div>
        <!-- end row-->

    </div> <!-- container -->

    </div> <!-- content -->
<?php $__env->stopSection(); ?>


<?php $__env->startSection('script'); ?>
    <script src="<?php echo e(asset('public/backEnd/')); ?>/assets/libs/parsleyjs/parsley.min.js"></script>
    <script src="<?php echo e(asset('public/backEnd/')); ?>/assets/js/pages/form-validation.init.js"></script>
    <script src="<?php echo e(asset('public/backEnd/')); ?>/assets/libs/select2/js/select2.min.js"></script>
    <script src="<?php echo e(asset('public/backEnd/')); ?>/assets/js/pages/form-advanced.init.js"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backEnd.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/kadocgqh/public_html/resources/views/backEnd/customer/profile.blade.php ENDPATH**/ ?>